Package org.zkoss.stateless.sul

## Enum IFisheyebar.Edge

- java.lang.Object
- - java.lang.Enum<IFisheyebar.Edge>
  - - org.zkoss.stateless.sul.IFisheyebar.Edge

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IFisheyebar.Edge>`
  Enclosing interface:
    IFisheyebar

      public static enum IFisheyebar.Edge
      extends java.lang.Enum<IFisheyebar.Edge>

  Specifies the attach edge of `IFisheyebar` component

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTTOM` | The bottom.
    `CENTER` | The center.
    `LEFT` | The left.
    `RIGHT` | The right.
    `TOP` | The top.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IFisheyebar.Edge` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IFisheyebar.Edge[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CENTER

          public static final IFisheyebar.Edge CENTER

      The center.

    - #### TOP

          public static final IFisheyebar.Edge TOP

      The top.

    - #### BOTTOM

          public static final IFisheyebar.Edge BOTTOM

      The bottom.

    - #### LEFT

          public static final IFisheyebar.Edge LEFT

      The left.

    - #### RIGHT

          public static final IFisheyebar.Edge RIGHT

      The right.

  - ### Method Detail

    - #### values

          public static IFisheyebar.Edge[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IFisheyebar.Edge c : IFisheyebar.Edge.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IFisheyebar.Edge valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null